# Copyright (c) 2000-2009, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

%define with()          %{expand:%%{?with_%{1}:1}%%{!?with_%{1}:0}}
%define without()       %{expand:%%{?with_%{1}:0}%%{!?with_%{1}:1}}
%define bcond_with()    %{expand:%%{?_with_%{1}:%%global with_%{1} 1}} 
%define bcond_without() %{expand:%%{!?_without_%{1}:%%global with_%{1} 1}}

%bcond_with jdk6
%bcond_without repolib
%bcond_with demo

%define patchtag -patch-03
%define namedversion %{version}jboss%{patchtag}
%define repodir %{_javadir}/repository.jboss.com/jacorb/%{namedversion}-brew
%define repodirlib %{repodir}/lib
%define repodirsrc %{repodir}/src

%define shortname jacorb

%define section devel

Name:           jacorb-jboss
Version:        2.3.1
Release:        10.patch_03.4%{?dist}
Epoch:          0
Summary:        Free Java implementation of OMG's CORBA standard
License:        LGPLv2+
Group:          Development/Java
URL:            http://www.jacorb.org/
Source0:        http://www.jacorb.org/releases/2.3.1/jacorb-2.3.1-src.zip
Source1:        jacorb-jboss-component-info.xml
#Source2:       http://repository.jboss.com/jacorb/2.3.0jboss.patch3/resources/CSI.idl
#Source3:       http://repository.jboss.com/jacorb/2.3.0jboss.patch3/resources/CosTransactions.idl
# JBPAPP-5924 jacorb.properties (Upgrade to patch-02)
Source4:        https://issues.jboss.org/secure/attachment/12341161/jacorb.properties
Source5:        http://repository.jboss.com/jacorb/2.3.0jboss.patch3/resources/orb.idl
Source6:        jacorb-repolib-README
## pom.xml files in Source7 to Source 12 modified to include @VERSION@
Source7:        jacorb-idl-compiler.pom
#https://svn.jboss.org/repos/repository.jboss.org/maven2-brew/jacorb/idl/2.3.1jboss.patch01/idl-2.3.1jboss.patch01.pom
Source8:        idl-2.3.1jboss.pom
#https://svn.jboss.org/repos/repository.jboss.org/maven2-brew/jacorb/idl_g/2.3.1jboss.patch01/idl_g-2.3.1jboss.patch01.pom
Source9:	idl_g-2.3.1jboss.pom
#https://svn.jboss.org/repos/repository.jboss.org/maven2-brew/jacorb/jacorb/2.3.1jboss.patch01/jacorb-2.3.1jboss.patch01.pom
Source10:	jacorb-2.3.1jboss.pom
#https://svn.jboss.org/repos/repository.jboss.org/maven2-brew/jacorb/jacorb_g/2.3.1jboss.patch01/jacorb_g-2.3.1jboss.patch01.pom
Source11:	jacorb_g-2.3.1jboss.pom
#https://svn.jboss.org/repos/repository.jboss.org/maven2-brew/jacorb/resources/2.3.1jboss.patch01/resources-2.3.1jboss.patch01.pom
Source12: 	resources-2.3.1jboss.pom

Patch0:         jacorb-2.3.1-notification-build_xml.patch
Patch1:         jacorb-2.3.1-version.patch
Patch2:			ant_javadoc_memory.patch

# This patch resets the port of the primary address to zero when an
# IORInterceptor adds a TAG_CSI_SEC_MECH_LIST component with transport
# protection requirements (SSL), as it should be per the CSI v2 specification.
Patch7:         jacorb-2.3.1-primaddress_port.patch
# JBPAPP-1477 JacORB 2.3.0.jboss5 intermittently hangs during shutdown.
# Thread dump shows it waiting in RequestController.waitForShutdown(), 
# presumably beacause it believes there are outstanding requests still 
# in progress.
Patch9:         jacorb-2.3.0-CORBA_OBJECT_NOT_EXIST.patch

# This patch removes the OTS classes
Patch13:        jacorb-2.3.1-remove_ots_classes.patch

# read_boolean() now only adjusts positions if the chunk_end_pos == pos,
# no longer calling handle_chunking(). The problem with handle_chunking()
# is that it aligns the current position and this can cause CDRInputStream
# to "skip" valid boolean values, as those are not padded.
Patch14:        jacorb-2.3.1-read_boolean.patch
# JBPAPP-6462 Fix TCCL Issue With JacORB Invocations (the TCCL is wrong)
Patch15:        jacorb-2.3.1-use-servant-tccl-JBPAPP-6462.patch

Patch16:        jacorb-2.3.1-manifest.patch

BuildRequires:  jpackage-utils >= 0:1.7.3
BuildRequires:  ant >= 0:1.6.5
BuildRequires:  antlr >= 0:2.7.2
BuildRequires:  avalon-logkit >= 0:1.2
BuildRequires:  jakarta-commons-collections >= 0:2.0
BuildRequires:  jakarta-commons-logging
BuildRequires:  java_cup
BuildRequires:  tanukiwrapper >= 0:3.1.0
BuildRequires:  picocontainer >= 0:1.2
BuildRequires:  slf4j >= 0:1.5.6
BuildRequires:  xdoclet >= 0:1.2.3
BuildRequires:  xjavadoc >= 0:1.1

Requires:       antlr
Requires:       avalon-logkit
Requires:       jakarta-commons-collections
Requires:       jakarta-commons-logging
#Optional:       tanukiwrapper
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
#Optional:      picocontainer
Requires:       slf4j >= 0:1.5.6
Provides:       jacorb = %{epoch}:%{version}-%{release}
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

%description
- high-performance, fully multithreaded ORB 
- IDL compiler, supports OMG IDL/Java language mapping 
  rev. 2.3, OBV 
- native IIOP, GIOP 1.2 and Bidirectional GIOP 
- POA (Portable Object Adapter) 
- AMI (Asynchronous Method Invocations) 
- ETF (Extensible Transport Framework) 
- POAMonitor, a GUI tools that lets you inspect your 
  object adapters (screenshot) 
- Dynamic Invocation Interface (DII) and Dynamic Skeleton 
  Interface (DSI) 
- Dynamic Management of Anys (DynAny) 
- Portable Interceptors (standard) 
- OMG Interoperable Naming Service 
- NameManager, a GUI browser for the name service 
  (requires Swing or JDK 1.2) (screenshot) 
- improved IIOP over SSL, includes KeyStoreManager 
- OMG Notification  and Event service 
- Transaction Service, Collection and Concurrency services 
- TradingService (supports trader links), an extension of 
  Mark Spruiell's free JTrader 
- CORBA 2.3 Code set support 
- Appligator, an IIOP proxy 
- Support for HTTP tunneling 
- Domain Manager, an object domain management service, 
  includes a domain browser GUI 
- Interface Repository 
- IRBrowser, a GUI front end for the Interface Repository
- Implementation Repository 
- Implementation Repository Manager, a GUI front end for 
  the Implementation Repository 
- IDL and Java source for all CORBA/COSS interfaces 
- examples and full source code included 
- 100% pure Java, JDK 1.3 and 1.4 compatible, also cooperates 
  with Sun's JDK 1.2 classes (releases prior to 1.4 are 
  compatible with JDK 1.1) 

Note: To use the CORBA Notification Service add picocontainer.jar
      to the ClassPath (from the 'picocontainer' RPM).

%if %with repolib
%package repolib
Summary:        Artifacts to be uploaded to a repository library
Group:          Development/Libraries/Java

%description repolib
Artifacts to be uploaded to a repository library.
This package is not meant to be installed but so its contents
can be extracted through rpm2cpio.
%endif

%package javadoc
Summary:        Javadoc for %{name}
Group:          Development/Documentation

%description javadoc
%{summary}

%package manual
Summary:        Documents for %{name}
Group:          Development/Documentation

%description manual
%{summary}.

%if %with demo
%package demo
Summary:        Usage examples for %{name}
Group:          Development/Documentation

%description demo
%{summary}.
%endif

%prep
%setup -q -n jacorb-2.3.1
chmod -R go=u-w *
find . -name "*.jar" | xargs -t rm

%patch0 -b .sav
%patch1 -b .sav
%patch2 -p1 -b .sav
%patch7 -b .sav
%patch9 -b .sav
%patch13 -p0 -b .sav
%patch14 -p0 -b .sav
%patch15 -p0 -b .sav15
%patch16 -b .sav

sed -i "s/@VERSION@/%{namedversion}/g" etc/jacorb_jar.manifest

# assume no filename contains spaces
# Uncomment this one for JDK 1.5  (not needed with Java4)
perl -p -i -e 's/edu(.)emory(.)mathcs(.)backport(.)java(.)util/java${1}util/' `grep edu.emory.mathcs.backport.java.util -lr *`

pushd lib
ln -sf $(build-classpath antlr) .
ln -sf $(build-classpath avalon-logkit) .
ln -sf $(build-classpath picocontainer) .
ln -sf $(build-classpath slf4j/api) .
#ln -sf $(build-classpath slf4j/jdk14) .
ln -sf $(build-classpath tanukiwrapper) .
pushd build
ln -sf $(build-classpath commons-collections) .
ln -sf $(build-classpath commons-logging) .
ln -sf $(build-classpath java_cup) .
ln -sf $(build-classpath xdoclet/xdoclet) .
ln -sf $(build-classpath xdoclet/xdoclet-ejb-module) .
ln -sf $(build-classpath xdoclet/xdoclet-jboss-module) .
ln -sf $(build-classpath xdoclet/xdoclet-jmx-module) .
ln -sf $(build-classpath xdoclet/xdoclet-mx4j-module) .
ln -sf $(build-classpath xdoclet/xdoclet-web-module) .
ln -sf $(build-classpath xjavadoc) .
popd
popd
# Tests were not included with the 2.2.4 source zip
#pushd test/regression/lib
#ln -sf $(build-classpath easymock) .
#ln -sf $(build-classpath emma) .
#ln -sf $(build-classpath emma_ant) .
#ln -sf $(build-classpath junit) .
#popd

mkdir temp

%{__perl} -pi -e 's/\r$//g' \
  bin/NotifyService-Wrapper-MX4J.conf.template \
  bin/NamingService-Wrapper.conf \
  bin/NotifyService-Wrapper.conf \
  doc/CONTEXT_IDs \
  doc/jacorb.css \
  doc/Coding.txt \
  doc/REL_NOTES \
  doc/dds/TODOLIST.txt \
  doc/LICENSE \
  doc/dds/style.css

#find . -name "*.jar" -exec rm -f {} \;


%build
export CLASSPATH=
export OPT_JAR_LIST=:
export ANT_OPTS="-Xms750m -Xmx1750m -Xss2m"
%{ant} all doc
for i in lib/*.jar ; do j=`basename $i` ; cp $i temp/${j/\.jar/_g.jar} ; done
%{ant} realclean
%{ant} -Ddebug=off all doc

%install
rm -rf $RPM_BUILD_ROOT

# remove DOS files
find . -name "*.exe" -exec rm {} \;
find . -name "*.bat" -exec rm {} \;

# jar
install -d -m 0755 $RPM_BUILD_ROOT%{_javadir}/%{name}
install -p -m 0644 lib/%{shortname}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/%{shortname}-%{version}.jar
%add_to_maven_depmap jacorb jacorb %{namedversion} JPP/%{name} jacorb
install -p -m 0644 temp/%{shortname}_g.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/%{shortname}_g-%{version}.jar
%add_to_maven_depmap jacorb jacorb_g %{namedversion} JPP/%{name} jacorb_g
install -p -m 0644 lib/idl.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/idl-%{version}.jar
%add_to_maven_depmap jacorb idl %{namedversion} JPP/%{name} idl
install -p -m 0644 temp/idl_g.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/idl_g-%{version}.jar
%add_to_maven_depmap jacorb idl_g %{namedversion} JPP/%{name} idl_g

# pom
mkdir -p $RPM_BUILD_ROOT%{_datadir}/maven2/poms

sed -i "s/@VERSION@/%{namedversion}/g" %{SOURCE8}
cp -p %{SOURCE8} $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-idl.pom
%add_to_maven_depmap jacorb idl %{namedversion} JPP %{name}-idl

sed -i "s/@VERSION@/%{namedversion}/g" %{SOURCE9}
cp -p %{SOURCE9} $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-idl_g.pom
%add_to_maven_depmap jacorb idl_g %{namedversion} JPP %{name}-idl_g

sed -i "s/@VERSION@/%{namedversion}/g" %{SOURCE10}
cp -p %{SOURCE10} $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP-%{name}-jacorb.pom
%add_to_maven_depmap jacorb jacorb %{namedversion} JPP %{name}-jacorb

sed -i "s/@VERSION@/%{namedversion}/g" %{SOURCE11}
cp -p %{SOURCE11} $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP-%{name}-jacorb_g.pom
%add_to_maven_depmap jacorb jacorb_g %{namedversion} JPP %{name}-jacorb_g

sed -i "s/@VERSION@/%{namedversion}/g" %{SOURCE12}
cp -p %{SOURCE12} $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP-%{name}-resources.pom
%add_to_maven_depmap jacorb resources %{namedversion} JPP %{name}-resources

# FIXME: We need a pom for each artifact
sed -i "s/@VERSION@/%{namedversion}/g" %{SOURCE7}
install -p -m 0644 %{SOURCE7} $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-idl-compiler.pom

# resources
mkdir -p tmp/resources
cd tmp
install -p -m 0644 ../idl/omg/CSI.idl resources/
install -p -m 0644 ../idl/omg/CosTransactions.idl resources/
install -p -m 0644 %{SOURCE4} resources/
install -p -m 0644 %{SOURCE5} resources/
jar -cf %{name}-resources-%{version}.jar resources 
install -p -m 0644 %{name}-resources-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/resources-%{version}.jar
%add_to_maven_depmap jacorb resources %{namedversion} JPP/%{name} resources
cd ..
rm -Rf tmp

(cd $RPM_BUILD_ROOT%{_javadir}/%{name} && for jar in *-%{version}*; do ln -sf ${jar} `echo $jar| sed  "s|-%{version}||g"`; done)

# bin, etc, idl
install -d -m 0755 $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}/bin
cp -pr bin/* $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}/bin
install -d -m 0755 $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}/etc
cp -pr etc/* $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}/etc
install -d -m 0755 $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}/idl
cp -pr idl/* $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}/idl

# javadoc
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr doc/api/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
%{__ln_s} %{name}-%{version} %{buildroot}%{_javadocdir}/%{name}
# FIXME: (dwalluck): This breaks rpmbuild -bi --short-circuit
rm -rf doc/api

# manual
install -d -m 0755 $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/doc
cp -p index.html $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
cp -pr doc/* $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/doc

%if %with demo
# demo
install -d -m 0755 $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}/demo
%endif

%if %with repolib
install -d -m 755 $RPM_BUILD_ROOT%{repodir}/
install -d -m 755 $RPM_BUILD_ROOT%{repodir}/resources/
install -d -m 755 $RPM_BUILD_ROOT%{repodirlib}/
install -p -m 0644 %{SOURCE1} $RPM_BUILD_ROOT%{repodir}/component-info.xml
tag=`/bin/echo %{name}-%{version}-%{release} | sed 's|\.|_|g'`
sed -i "s/@VERSION@/%{namedversion}-brew/g" $RPM_BUILD_ROOT%{repodir}/component-info.xml
sed -i "s/@TAG@/$tag/g" $RPM_BUILD_ROOT%{repodir}/component-info.xml
install -d -m 755 $RPM_BUILD_ROOT%{repodirsrc}/
install -p -m 0644 %{PATCH0} $RPM_BUILD_ROOT%{repodirsrc}/
install -p -m 0644 %{PATCH1} $RPM_BUILD_ROOT%{repodirsrc}/
install -p -m 0644 %{PATCH7} $RPM_BUILD_ROOT%{repodirsrc}/
install -p -m 0644 %{PATCH9} $RPM_BUILD_ROOT%{repodirsrc}/
install -p -m 0644 %{PATCH13} $RPM_BUILD_ROOT%{repodirsrc}/
install -p -m 0644 %{PATCH14} $RPM_BUILD_ROOT%{repodirsrc}/
install -p -m 0644 %{PATCH15} $RPM_BUILD_ROOT%{repodirsrc}/
install -p -m 0644 %{PATCH16} $RPM_BUILD_ROOT%{repodirsrc}/
install -p -m 0644 %{SOURCE0} $RPM_BUILD_ROOT%{repodirsrc}/
install -p -m 0644 %{SOURCE6} $RPM_BUILD_ROOT%{repodirsrc}/README
#install -p -m 0644 %{SOURCE2} $RPM_BUILD_ROOT%{repodir}/resources/
install -p -m 0644 idl/omg/CSI.idl $RPM_BUILD_ROOT%{repodir}/resources/
#install -p -m 0644 %{SOURCE3} $RPM_BUILD_ROOT%{repodir}/resources/
install -p -m 0644 idl/omg/CosTransactions.idl $RPM_BUILD_ROOT%{repodir}/resources/
install -p -m 0644 %{SOURCE4} $RPM_BUILD_ROOT%{repodir}/resources/
install -p -m 0644 %{SOURCE5} $RPM_BUILD_ROOT%{repodir}/resources/
cp -p $RPM_BUILD_ROOT%{_javadir}/%{name}/idl_g.jar $RPM_BUILD_ROOT%{repodirlib}/
cp -p $RPM_BUILD_ROOT%{_javadir}/%{name}/%{shortname}_g.jar $RPM_BUILD_ROOT%{repodirlib}/
cp -p $RPM_BUILD_ROOT%{_javadir}/%{name}/%{shortname}.jar $RPM_BUILD_ROOT%{repodirlib}/
cp -p $RPM_BUILD_ROOT%{_javadir}/%{name}/idl.jar $RPM_BUILD_ROOT%{repodirlib}/
cp -p $RPM_BUILD_ROOT%{_javadir}/%{name}/resources-%{version}.jar $RPM_BUILD_ROOT%{repodirlib}/resources.jar
install -p -m 0644 %{SOURCE0} $RPM_BUILD_ROOT%{repodirlib}/
install -p -m 0644 %{SOURCE8} %{buildroot}%{repodirlib}/idl.pom
install -p -m 0644 %{SOURCE9} %{buildroot}%{repodirlib}/idl_g.pom
install -p -m 0644 %{SOURCE10} %{buildroot}%{repodirlib}/jacorb.pom
install -p -m 0644 %{SOURCE11} %{buildroot}%{repodirlib}/jacorb_g.pom
install -p -m 0644 %{SOURCE12} %{buildroot}%{repodirlib}/resources.pom
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%defattr(0644,root,root,0755)
%{_datadir}/maven2/poms/*.pom
%{_mavendepmapfragdir}/*
%{_javadir}/%{name}
%dir %{_datadir}/%{name}-%{version}
%dir %{_datadir}/%{name}-%{version}/bin
%attr(0755,root,root) %{_datadir}/%{name}-%{version}/bin/*
%{_datadir}/%{name}-%{version}/etc
%{_datadir}/%{name}-%{version}/idl
%{_datadir}/maven2/poms/*
%{_mavendepmapfragdir}/*

%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{name}-%{version}
%{_javadocdir}/%{name}

%files manual
%defattr(0644,root,root,0755)
%{_docdir}/%{name}-%{version}

%if %with demo
%files demo
%defattr(0644,root,root,0755)
%{_datadir}/%{name}-%{version}/demo
%endif

%if %with repolib
%files repolib
%defattr(0644,root,root,0755)
%{_javadir}/repository.jboss.com
%endif

%changelog
* Tue Oct 25 2011 Dustin Kut Moy Cheung <dcheung@redhat.com> - 0:2.3.1-10.patch-03.4
- Include version number in MANIFEST.MF for jacorb-jboss.jar

* Fri Sep  2 2011 Dustin Kut Moy Cheung <dcheung@redhat.com> - 0:2.3.1-10.patch-03.2
- Use namedversion when modifying pom.xml files
- Remove empty demo package
- Port changes from RHEL 6

* Fri Aug 19 2011 Martha Benitez <mbenitez@redhat.com> - 0:2.3.1-10.patch-03.1
- Upgrade to 2.3.1.patch-03
- Relax version of BR xjavadoc to >= 1.1

* Wed Mar 9 2011 Yiqiao Wang <yiwang@redhat.com> - 0:2.3.1-9.patch02.2
- Fix upload.sh and poms so that version does not have "-brew" in them

* Tue Feb 15 2011 Martha Benitez <mbenitez@redhat.com> - 0:2.3.1-9.patch02.1
- Upgrade to patch-02
- Sync with JB-EAP-5-RHEL-6

* Thu May 06 2010 Martha Benitez <mbenitez@redhat.com> - 0:2.3.1-8.1
- rebuilt

* Thu Apr 08 2010 Weinan Li <weli@redhat.com> 0:2.3.1-8
- Patch memory usage of javadoc in build.xml

* Thu Apr 08 2010 Weinan Li <weli@redhat.com> 0:2.3.1-7
- Increase ant memory usage, to avoid OutOfMemoryError during building

* Thu Apr 08 2010 Weinan Li <weli@redhat.com> 0:2.3.1-6
- Rebuild

* Tue Apr 06 2010 Yong Yang <yyang@redhat.com> 0:2.3.1-5
- Rebuild for generating signed jar

* Fri Sep 11 2009 Fernando Nasser <fnasser@redhat.com> 0:2.3.1-4
- Add depmap fragments and resources.jar

* Sat Aug 08 2009 Fernando Nasser <fnasser@redhat.com> 0:2.3.1-3
- Copy missing patch to 'src'
- Add it to list in the README
- Update component-info.xml and fix the VERSION replacement code

* Fri Aug 07 2009 Fernando Nasser <fnasser@redhat.com> 0:2.3.1-2
- Re-add the CORBA_OBJECT_NOT_EXIST patch
- Increase memory for Ant to avoid java.lang.OutOfMemoryError: Java heap space

* Wed Jul 29 2009 Fernando Nasser <fnasser@redhat.com> 0:2.3.1-1
- Upgrade to JacORB 2.3.1
- Remove dependency on Avalon Framewok no longer needed
- Remove patches already incorporated upstream
  From Stefan Guillen:
- Patch for read_boolean "skip" problem

* Wed Jun 24 2009 Fernando Nasser <fnasser@redhat.com> 0:2.3.0-20
- Provide jacorb so we don't have to change other packages

* Wed Mar 18 2009 Fernando Nasser <fnasser@redhat.com> 0:2.3.0-19
- Fix version and compatibles in component-info.xml

* Tue Mar 17 2009 Fernando Nasser <fnasser@redhat.com> 0:2.3.0-18
  From Stefan Guilhen <sguilhen@redhat.com>:
- Remove OTS classes to avoid conflict with jbossjts-jacorb.jar

* Tue Mar 17 2009 David Walluck <dwalluck@redhat.com> 0:2.3.0-17.1
- build in brew

* Tue Mar 17 2009 David Walluck <dwalluck@redhat.com> 0:2.3.0-17
- update to jboss patch 6

* Wed Mar 11 2009 Ralph Apel <r.apel@r-apel.de> 0:2.3.0-16
- drop Requires tanukiwrapper: OPTIONAL

* Sat Oct 11 2008 Yong Yang <yyang@redhat.com> 0:2.3.0-15
- remove jdk6 condition in javadoc section of install

* Fri Oct 10 2008 David Walluck <dwalluck@redhat.com> 0:2.3.0-14
- add javadoc maxmemory patch

* Fri Oct 10 2008 David Walluck <dwalluck@redhat.com> 0:2.3.0-13
- fix repolib
- fix component-info.xml

* Fri Oct 10 2008 Yong Yang <yyang@redhat.com> 0:2.3.0-12
- Apply jdk6 patch

* Thu Jul 24 2008 David Walluck <dwalluck@redhat.com> 0:2.3.0-11
- remove Class-Path from manifest (again)

* Thu Jul 24 2008 David Walluck <dwalluck@redhat.com> 0:2.3.0-10
- add pom for idl compiler

* Thu Jul 24 2008 David Walluck <dwalluck@redhat.com> 0:2.3.0-9
- make Class-Path entry in manifest a single line

* Wed Jul 23 2008 David Walluck <dwalluck@redhat.com> 0:2.3.0-8
- update CLASSPATH in manifest

* Sat Jul 19 2008 David Walluck <dwalluck@redhat.com> 0:2.3.0-7
- update logkit compatible line

* Sat Jul 19 2008 David Walluck <dwalluck@redhat.com> 0:2.3.0-6
- update avalon compatible line
- fix repodir version

* Mon Jul 14 2008 David Walluck <dwalluck@redhat.com> 0:2.3.0-5
- remove Class-Path from manifest

* Mon Jul 14 2008 David Walluck <dwalluck@redhat.com> 0:2.3.0-4
- own %%{_datadir}/%%{name}-%%{version}
- use excalibur for avalon
- update manifest Class-Path entry
- Requires: antlr (referenced by Class-Path entry)
- fix file permissions
- remove some irrelevant lines from the description

* Mon Jun 22 2008 David Walluck <dwalluck@redhat.com> 0:2.3.0-3.jpp5
- fix avalon-{framework,logkit} deps
- fix repolib file permissions

* Wed Mar 05 2008 Fernando Nasser <fnasser@redhat.com> 0:2.3.0-2jpp
- Adapt for JPP 5.0

* Tue Oct 09 2007 Deepak Bhole <dbhole@redhat.com> 0:2.3.0-1jpp.ep1.4
- Update patch number in readme

* Tue Oct 02 2007 Fernando Nasser <fnasser@redhat.com> 0:2.3.0-1jpp.ep1.3
- Add README file to the 'src' subdirectory in repolib
- Fix the version number in jacorb-2.3.0-version.patch

* Wed Sep 19 2007 Fernando Nasser <fnasser@redhat.com> 0:2.3.0-1jpp.ep1.2
- Add patches from Stefan N Guilhen <sguilhen@redhat.com>:
  Fix for JIRA issue JBAS-4737 -- fix some issues related to CSIv2
  interoperability.

* Wed Aug 21 2007 Fernando Nasser <fnasser@redhat.com> 0:2.3.0-1jpp
- Upgrade

* Wed Jun 06 2007 Fernando Nasser <fnasser@redhat.com> 0:2.3.0-1jpp.ep1.1
- Add patch from Francisco Reverbel <reverbel@gmail.com>:
  Fix for NPE on shutdown

* Fri Jun 01 2007 Fernando Nasser <fnasser@redhat.com> 0:2.3.0-0jpp.el4ep1.4
- Add patch from Francisco Reverbel <reverbel@gmail.com>:
  Fix for bug #783 in JacORB's bugzilla system

* Thu May 31 2007 Fernando Nasser <fnasser@redhat.com> 0:2.3.0-0jpp.el4ep1.3
- Add patch from Francisco Reverbel <reverbel@gmail.com>:
  Fix for bug #782 in JacORB's bugzilla system

* Thu May 31 2007 Fernando Nasser <fnasser@redhat.com> 0:2.3.0-0jpp.el4ep1.2
- Add missing patch files to repolib src subdir

* Mon May 28 2007 Fernando Nasser <fnasser@redhat.com> 0:2.3.0-0jpp.el4ep1.1
- Upgrade to 2.3.0, with patches

* Tue Mar 13 2007 Fernando Nasser <fnasser@redhat.com> 0:2.2.4-0.1.patch01.ep1.1
- Rebuild

* Thu Mar 08 2007 Fernando Nasser <fnasser@redhat.com> 0:2.2.4-0.1.patch01.el4ep1.5
- Make picocontainer optional

* Fri Mar 1 2007 Vivek Lakshmanan <vivekl@redhat.com> 0:2.2.4-0.1.patch01.el4ep1.4
- Avoid conflict with jacorb and install in jacorb-jboss directories
- Add /usr/share/java/repository.jboss.com as base directory for repolib file 
  installations

* Thu Feb 28 2007 Vivek Lakshmanan <vivekl@redhat.com> 0:2.2.4-0.1.patch01.el4ep1.3
- Add repolib support

* Wed Feb 27 2007 Vivek Lakshmanan <vivekl@redhat.com> 0:2.2.4-0.1.patch01.el4ep1.2
- Build for EP (for real)

* Wed Feb 27 2007 Vivek Lakshmanan <vivekl@redhat.com> 0:2.2.4-0.1.patch01.el4ep1.1
- First build for EP

* Sun Feb 18 2007 Fernando Nasser <fnasser@redhat.com> 0:2.2.4-1jpp.el4ep1.1
- Merge with upstream

* Sun Feb 18 2007 Fernando Nasser <fnasser@redhat.com> 0:2.2.4-1jpp
- Upgrade
- Add missing requires

* Tue Aug 01 2006 Fernando Nasser <fnasser@redhat.com> 0:2.2.3-2jpp_1rh
- Merge with upstream

* Tue Aug 01 2006 Fernando Nasser <fnasser@redhat.com> 0:2.2.3-2jpp
- Add missing header
- Add missing dependency on picocontainer

* Fri Jul 21 2006 Ralph Apel <r.apel@r-apel.de> 0:2.2.3-1jpp
- Upgrade to 2.2.3
- First JPP-1.7 release

* Wed Jul 13 2005 Fernando Nasser <fnasser@redhat.com> 0:2.2.2-1jpp_3rh
- Backport fixes from Archit Shah <ashah@redhat.com>

* Wed Jul 13 2005 Fernando Nasser <fnasser@redhat.com> 0:2.2.2-1jpp_2rh
- Rebuild

* Fri Jun 17 2005 Fernando Nasser <fnasser@redhat.com> 0:2.2.2-1jpp_1rh
- Merge with upstream for upgrade

* Fri Jun 17 2005 Fernando Nasser <fnasser@redhat.com> 0:2.2.2-1jpp
- Upgrade to 2.2.2

* Mon Dec 20 2004 Fernando Nasser <fnasser at redhat.com> 0:2.2-3jpp_1rh
- First Red Hat Release

* Sat Dec 04 2004 Ralph Apel <r.apel at r-apel.de> 0:2.2-3jpp
- Include contents of bin, etc, idl
- TODO: which files from bin should go into _bindir

* Sun Aug 23 2004 Randy Watler <rwatler at finali.com> - 0:2.2-2jpp
- Rebuild with ant-1.6.2

* Fri Jul 30 2004 Ralph Apel <r.apel at r-apel.de> 0:2.2-1jpp
- First JPackage release

